summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 13f9382f..731cd44d 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -926,8 +926,12 @@ EOI
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
source stackrc
-set -o errexit
openstack overcloud deploy --templates $DEPLOY_OPTIONS --timeout 90
+if ! heat stack-list | grep CREATE_COMPLETE 1>/dev/null; then
+ $(typeset -f debug_stack)
+ debug_stack
+ exit 1
+fi
EOI
if [ "$debug" == 'TRUE' ]; then
@@ -1178,6 +1182,7 @@ parse_cmdline() {
##LIBRARIES
# Do this after cli parse so that $CONFIG is set properly
source $CONFIG/lib/common-functions.sh
+ source $CONFIG/lib/utility-functions.sh
source $CONFIG/lib/installer/onos/onos_gw_mac_update.sh
}